#!/bin/sh

### BEGIN INIT INFO
# Provides: batcave
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Batman/Alfred Transmission Collection, Aggregation & Value Engine
# Description: Collects and combines data from batman_adv and alfred for dissemination to other parties.
### END INIT INFO

DAEMON_DIR="/opt/batcave/"
DAEMON_NAME=batcave

# Add any command line options for your daemon here
DAEMON_OPTS=""

# This next line determines what user the daemon runs as.
# Root is required to gather data from batadv_vis.
DAEMON_USER=root

# The process ID of the script when it runs is stored here:
PIDFILE=/var/run/$DAEMON_NAME.pid

[ -r "/etc/default/$DAEMON_NAME" ] && . /etc/default/${DAEMON_NAME}

DAEMON="${DAEMON_DIR}/${DAEMON_NAME}.py"

. /lib/lsb/init-functions

do_start () {
	log_daemon_msg "Starting $DAEMON_NAME daemon"
	start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfile --user $DAEMON_USER --chuid $DAEMON_USER --startas $DAEMON -- $DAEMON_OPTS
	log_end_msg $?
}

do_stop () {
	log_daemon_msg "Stopping $DAEMON_NAME daemon"
	start-stop-daemon --stop --pidfile $PIDFILE --retry 10
	log_end_msg $?
}

case "$1" in
	start|stop)
		do_${1}
		;;

	restart|force-reload)
		do_stop
		do_start
		;;

	status)
		status_of_proc "$DAEMON_NAME" "$DAEMON" && exit 0 || exit $?
		;;

	*)
		echo "Usage: /etc/init.d/$DAEMON_NAME {start|stop|restart|status}"
		exit 1
		;;
esac

exit 0
